<?php

if(!defined('CON_FRAMEWORK')) {
	die('Illegal call');
}
 
if(!$perm->have_perm_area_action($plugin_name, $plugin_name) && $cronjob != true) {
	exit;
}

plugin_include('t2t_backup', 'includes/config.plugin.php');

//muss  neu rein, sonst wird $plugin_name evtl. durch ein anderes Plugin mit hherer Nummer berschrieben
$plugin_name = "t2t_backup";

function dirsize($dir){
    $dirsize=0;
		$handle=opendir ($dir);
		while (false !== ($file = readdir ($handle))) {
		    $dirsize+=filesize($dir.$file);
		}
		closedir($handle); 
		return $dirsize;
}

// Standardseite bei Erstaufruf
if ( !isset($_GET["mode"]) || $_GET["mode"] == "" ) {

			
				// Lege Ausgaben fest auf der Basis der ermittelten Werte fr das Verzeichnis
				$intromsg = i18n("Das Backup erfordert einen Ordner namens /backup auf der gleichen Ebene wie /contenido mit den Zugriffsrechten 757.<br>Die Backupfunktion im linken Men wird erst freigeschaltet, wenn alle Parameter korrekt sind.", $plugin_name);

				if ( $pathfinder )  { 
					$pathfinderinfo = i18n("Der Backup-Ordner ist vorhanden.", $plugin_name);
					$backupsize = round(dirsize("$backup_path")/(1024*1024),2);
						if ( $permissionfinder ) {
							$chmod_info = i18n("757 (ok)");
							$intromsg = i18n("Der Backupordner ist korrekt konfiguriert.", $plugin_name);
							} else {
							$chmod_info = i18n("Derzeit $dir_permission - bitte auf 757 setzen", $plugin_name);
						}
					} else { 
						$pathfinderinfo = i18n("Bitte Ordner /backup anlegen.", $plugin_name);
						$backupsize     = i18n("Bitte Ordner /backup anlegen.", $plugin_name); 
						$chmod_info     = i18n("Bitte Ordner /backup anlegen.", $plugin_name);
				}

				$tpl->set('s', 'headline', i18n("Konfiguration", $plugin_name));
				$tpl->set('s', 'intro', $intromsg);
				$tpl->set('s', 'label_pathfinder', i18n("Backup-Ordner", $plugin_name));
				$tpl->set('s', 'pathfinder', $pathfinderinfo);
				$tpl->set('s', 'label_chmod', i18n("Ordnerrechte", $plugin_name));
				$tpl->set('s', 'chmod', $chmod_info. $pluginid );
				$tpl->set('s', 'label_dbname', i18n("Sicherung Datenbank", $plugin_name));
				$tpl->set('s', 'dbname', $contenido_database);
				$tpl->set('s', 'label_autodelete', i18n("Max. vorhandene Backups", $plugin_name));
				$tpl->set('s', 'autodelete', $number_of_files . " " . i18n("Dateien", $plugin_name));
				$tpl->set('s', 'label_gzip', i18n("GZip-Komprimierung", $plugin_name));
				$tpl->set('s', 'gzip', i18n("muss auf dem Server erlaubt sein", $plugin_name));
				$tpl->set('s', 'label_backupsizes', i18n("Bisheriger verbrauchter Speicherplatz (in MB)", $plugin_name));
				$tpl->set('s', 'backupsizes', $backupsize);
				$tpl->generate($cfg['templates']['start']);
}

// Backup: Speichern bei mode = 1 

if ( $_GET["mode"] == 1 ) {

		if (!is_object($tpl)) {
			$tpl = new Template;
		}
		
		$tpl->reset();
		

				
		//$t2tbackupfile  = date("d\.m\.Y\_H",time())."_Uhr_".date("i",time()); // Dateiname aus Datum und Uhrzeit bilden
		$t2tbackupfile  = date( "Y\-m\-d\_H\-i\-s", time() ); // Dateiname aus Datum und Uhrzeit bilden
		$t2tbackupfile .= ".sql.gz";
		if (file_exists($t2tbackupfile)) unlink($t2tbackupfile);
		
		$file2save = $cfg['path']['frontend'].str_replace("./..", "", $backup_path).$t2tbackupfile;
		
		system($cfg['plugins']['usrbin']."mysqldump -u".$contenido_user." -p".$contenido_password." -h".$contenido_host." ".$contenido_database." | ".$cfg['plugins']['gzip']." > ".$file2save, $fp); 
		if ($fp==0) $meldung = i18n("Das Backup wurde erfolgreich angelegt!  >> $file2save", $plugin_name); else $meldung = i18n("Es ist ein Fehler aufgetreten! >> $file2save", $plugin_name); 

		$tpl->set('s', 'headline', i18n("Erstellung des Backup", $plugin_name));
		$tpl->set('s', 'intro', i18n("Bitte haben Sie einen Moment Geduld und warten Sie auf die Statusnachricht.", $plugin_name));
		$tpl->set('s', 'label_report', i18n("Status der Sicherung", $plugin_name));
		$tpl->set('s', 'report', $meldung);
    $tpl->generate($cfg['templates']['backup']);
		

}
?>